FreeMat

- Main Page
- Related Pages

vtkGraphReader

Section: Visualization Toolkit IO Classes

# Usage

vtkGraphReader is a source object that reads ASCII or binary vtkGraph data files in vtk format. (see text for format details). The output of this reader is a single vtkGraph data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

To create an instance of class vtkGraphReader, simply invoke its constructor as follows

      obj = vtkGraphReader

# Methods

The class vtkGraphReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGraphReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGraphReader = obj.NewInstance ()`
- `vtkGraphReader = obj.SafeDownCast (vtkObject o)`
- `vtkGraph = obj.GetOutput ()` - Get the output of this reader.
- `vtkGraph = obj.GetOutput (int idx)` - Get the output of this reader.
- `obj.SetOutput (vtkGraph output)` - Get the output of this reader.